Payment Plans¶
Payment plan instalments¶
This call lists the instalments for the payment plans in BT Collections.
Swagger Page¶
Permission / Auth¶
Bearer token with collection scope (read).
Header: Authorization: Bearer <token>
Query Parameters¶
| Name | In | Required | Type | Description |
|---|---|---|---|---|
modifiedSince |
query | No | string (date-time) | Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00"). |
cursor |
query | No | string | Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info. |
Example Request¶
curl -X GET 'https://{your-collections-platform-host}/api/v1/payment-plan-instalments' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
Example Response¶
{
"data": [
{
"id": 1,
"created_at": "2024-01-15T12:00:00+00:00",
"deleted_at": "2024-01-15T12:00:00+00:00",
"modified_at": "2024-01-15T12:00:00+00:00",
"payment_plan_id": 1,
"due_date": "2024-01-15",
"total_amount": 1.0,
"unpaid_amount": 1.0,
"interest_amount": 1.0,
"outstanding_capital": 1.0
}
],
"next_batch_url": null,
"next_batch_cursor": null,
"resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
"resume_cursor": "opaque-resume-cursor"
}
Batch envelope¶
| Field | Description |
|---|---|
data |
Array of entities in this batch (max 100). |
next_batch_cursor / next_batch_url |
Pass cursor on the next request until empty. |
resume_cursor / resume_url |
Available when the full set is exhausted; use later for incremental sync. |
PaymentPlanInstalment fields¶
| Field | Type | Description |
|---|---|---|
id |
integer (int64) | Internal BT Collections ID of the payment plan instalment |
created_at |
string (date-time) | Creation date of this entity. |
deleted_at |
string (date-time) | Deletion date of this entity, null if not yet deleted. |
modified_at |
string (date-time) | Last modification date of this entity. |
payment_plan_id |
integer (int64) | Internal BT Collections ID of the payment plan |
due_date |
string (date) | The due date of this instalment |
total_amount |
number (float) | The total amount of this instalment |
unpaid_amount |
number (float) | The unpaid amount of this instalment |
interest_amount |
number (float) | The interest amount of this instalment |
outstanding_capital |
number (float) | The outstanding capital amount after this instalment |
Payment plans¶
This call lists the payment plans in BT Collections.
Swagger Page¶
Permission / Auth¶
Bearer token with collection scope (read).
Header: Authorization: Bearer <token>
Query Parameters¶
| Name | In | Required | Type | Description |
|---|---|---|---|---|
companyId |
query | No | string | Optional parameter to filter on a specific company. Ignored when "cursor" is provided. Fetch the list of available companies from the "/companies" endpoint. |
modifiedSince |
query | No | string (date-time) | Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00"). |
cursor |
query | No | string | Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info. |
Example Request¶
curl -X GET 'https://{your-collections-platform-host}/api/v1/payment-plans' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
Example Response¶
{
"data": [
{
"id": 1,
"created_at": "2024-01-15T12:00:00+00:00",
"modified_at": "2024-01-15T12:00:00+00:00",
"debtor_id": 1,
"total_amount_to_be_paid": 1.0,
"unpaid_amount": 1.0,
"number_of_instalments": 1,
"amount_first_instalment": 1.0,
"amount_last_instalment": 1.0,
"date_first_instalment": "2024-01-15",
"date_last_instalment": "2024-01-15"
}
],
"next_batch_url": null,
"next_batch_cursor": null,
"resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
"resume_cursor": "opaque-resume-cursor"
}
Batch envelope¶
| Field | Description |
|---|---|
data |
Array of entities in this batch (max 100). |
next_batch_cursor / next_batch_url |
Pass cursor on the next request until empty. |
resume_cursor / resume_url |
Available when the full set is exhausted; use later for incremental sync. |
PaymentPlan fields¶
| Field | Type | Description |
|---|---|---|
id |
integer (int64) | Internal BT Collections ID of the payment plan |
created_at |
string (date-time) | The time this entity is created. |
modified_at |
string (date-time) | Last modification date of this entity. |
debtor_id |
integer (int64) | Internal BT Collections ID of the debtor for which this payment plan was created. |
total_amount_to_be_paid |
number (float) | Total amount of the payment plan. This is the amount that has to be paid in agreement with the customer. |
unpaid_amount |
number (float) | Unpaid amount of the payment plan. This is the total_amount_to_be_paid minus received payments. |
number_of_instalments |
integer (int64) | Number of instalments. |
amount_first_instalment |
number (float) | Amount of the first instalment. |
amount_last_instalment |
number (float) | Amount of the last instalment. |
date_first_instalment |
string (date) | Date of the first instalment (formatted in Y-m-d). |
date_last_instalment |
string (date) | Date of the last instalment (formatted in Y-m-d). |